Skip to content

Create



POST /api/v1/error_track_rule/add

Overview

Body Parameters

Parameter Type Required Description
name string Y Name
Allow null: False
Max length: 128
desc string Description
Allow null: False
Allow empty string: True
Max length: 256
type string Y Type
Allow null: False
Allowed values: ['logging', 'tracing', 'rum']
sources array Sources
Example: ['wsAdmin', 'acnt_xxxx', 'group_yyyy']
Allow null: False
extend json Extended information
Allow null: False

Parameter Details

Request Example

curl 'https://openapi.truewatch.com/api/v1/error_track_rule/add' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"name":"jj_test","desc":"","type":"logging","sources":["a-123"]}' 

Response

{
    "code": 200,
    "content": {
        "workspaceUUID": "wksp_84c4a0044edc4f878ea88e4517659bda",
        "name": "jj_test",
        "desc": "",
        "type": "logging",
        "sources": [
            "a-123"
        ],
        "extend": null,
        "id": null,
        "uuid": "issetrule_02b5abf016524b3fa2c0a15bd3279c1b",
        "status": 0,
        "creator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
        "updator": "",
        "createAt": 1772788123,
        "deleteAt": -1,
        "updateAt": -1
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "46cee577b1053d80063e67319dffcc6b"
}